org.apache.lucene.search

## Class Scorable.ChildScorable

- java.lang.Object
- - org.apache.lucene.search.Scorable.ChildScorable

Enclosing class:
  Scorable

    public static class Scorable.ChildScorable
    extends Object

A child Scorer and its relationship to its parent. the meaning of the relationship depends upon the parent query.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

Fields
`Scorable` `child` Child Scorer.
`String` `relationship` An arbitrary string relating this scorer to the parent.

### Constructor Summary

Constructors
Constructor and Description
`ChildScorable(Scorable child, String relationship)` Creates a new ChildScorer node with the specified relationship.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### child

    public final Scorable child

Child Scorer. (note this is typically a direct child, and may itself also have children).

#### relationship

    public final String relationship

An arbitrary string relating this scorer to the parent.

### Constructor Detail

#### ChildScorable

    public ChildScorable(Scorable child,
                         String relationship)

Creates a new ChildScorer node with the specified relationship.

The relationship can be any be any string that makes sense to the parent Scorer.